Skip to content
Newer
Older
100644 35 lines (25 sloc) 877 Bytes
101aa12 initial import
Justine Tunney authored Jul 15, 2011
1 .. -*-rst-*-
2
3 ==============
4 OccupyWallSt
5 ==============
6
7 :name: occupywallst
8 :description: Occupy Wall Street!
bcc2eb8 copyright symbol
Justine Tunney authored Jul 17, 2011
9 :copyright: © 2011 Justine Tunney
101aa12 initial import
Justine Tunney authored Jul 16, 2011
10 :license: GNU AGPL v3 or later
11
12
13 Installation
14 ============
15
1e8c279 tell people it'll probably only work on ubuntu
Justine Tunney authored Jul 16, 2011
16 This project has been tested on Ubuntu 10.04 LTS and Ubuntu 10.10.
17
101aa12 initial import
Justine Tunney authored Jul 16, 2011
18 Run these commands in the occupywallst folder::
19
20 sudo ./install_depends.sh
21 sudo python setup.py develop
22 gunzip <occupywallst/data/init_spatialite-2.3.sql.gz \
23 | spatialite occupywallst.db
24 occupywallst-dev syncdb
25 occupywallst-dev runserver
ea903db doing stuff
Justine Tunney authored Jul 18, 2011
26
27 To use with PostgreSQL::
28
29 sudo apt-get install \
30 postgresql-8.4-postgis postgresql-contrib python-psycopg2
31 sudo -u postgres -i createuser --superuser $USER
32 createdb occupywallst
33 createlang plpgsql occupywallst
34 psql -d occupywallst -f /usr/share/postgresql/8.4/contrib/postgis-1.5/postgis.sql
Something went wrong with that request. Please try again.